Skip Menu |
 

Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the Spreadsheet-ParseExcel CPAN distribution.

Maintainer(s)' notes

If you are reporting a bug in Spreadsheet::ParseExcel here are some pointers

1) State the issues as clearly and as concisely as possible. A simple program or Excel test file (see below) will often explain the issue better than a lot of text.

2) Provide information on your system, version of perl and module versions. The following program will generate everything that is required. Put this information in your bug report.

    #!/usr/bin/perl -w

    print "\n    Perl version   : $]";
    print "\n    OS name        : $^O";
    print "\n    Module versions: (not all are required)\n";

    my @modules = qw(
                      Spreadsheet::ParseExcel
                      Scalar::Util
                      Unicode::Map
                      Spreadsheet::WriteExcel
                      Parse::RecDescent
                      File::Temp
                      OLE::Storage_Lite
                      IO::Stringy
                    );

    for my $module (@modules) {
        my $version;
        eval "require $module";

        if (not $@) {
            $version = $module->VERSION;
            $version = '(unknown)' if not defined $version;
        }
        else {
            $version = '(not installed)';
        }

        printf "%21s%-24s\t%s\n", "", $module, $version;
    }

    __END__

3) Upgrade to the latest version of Spreadsheet::ParseExcel (or at least test on a system with an upgraded version). The issue you are reporting may already have been fixed.

4) Create a small example program that demonstrates your problem. The program should be as small as possible. A few lines of codes are worth tens of lines of text when trying to describe a bug.

5) Supply an Excel file that demonstrates the problem. This is very important. If the file is big, or contains confidential information, try to reduce it down to the smallest Excel file that represents the issue. If you don't wish to post a file here then send it to me directly: jmcnamara@cpan.org

6) Say if the test file was created by Excel, OpenOffice, Gnumeric or something else. Say which version of that application you used.

7) If you are submitting a patch you should check with the maintainer whether the issue has already been patched or if a fix is in the works. Patches should be accompanied by test cases.

Asking a question

If you would like to ask a more general question there is the Spreadsheet::ParseExcel Google Group.

Report information
The Basics
Id: 24693
Status: resolved
Priority: 0/
Queue: Spreadsheet-ParseExcel

People
Owner: Nobody in particular
Requestors: MTHURN [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 0.28
Fixed in: (no value)



Subject: PLEASE add Unicode::Map as prereq in Makefile.PL.
Download (untitled) / with headers
text/plain 255b
your module can not be installed with automated tools like CPANPLUS because of missing prerequisite Unicode::Map. Test basic.t FAILS if Unicode::Map is not installed. PLEASE add Unicode::Map to your list of explicit prereqs in Makefile.PL. Thank you.
Download (untitled) / with headers
text/plain 123b
And Spreadsheet::WriteExcel and Jcode are also prerequisites not explicitly declared but leading to test failures. Thanks
Download (untitled) / with headers
text/plain 197b
And all this is still true for 0.29. Please consider reading the bug reports on rt.cpan.org or document where you want bugreport sent to. Note that your README suggests to use RT! Please! Thanks.
Subject: Re: [rt.cpan.org #24693] PLEASE add Unicode::Map as prereq in Makefile.PL.
Date: Sat, 31 Mar 2007 11:24:44 +0200
To: bug-Spreadsheet-ParseExcel [...] rt.cpan.org
From: "Gabor Szabo" <szabgab [...] gmail.com>
Download (untitled) / with headers
text/plain 465b
On 3/31/07, Andreas Koenig via RT <bug-Spreadsheet-ParseExcel@rt.cpan.org> wrote: Show quoted text
> > Queue: Spreadsheet-ParseExcel > Ticket <URL: http://rt.cpan.org/Ticket/Display.html?id=24693 > > > And all this is still true for 0.29.
I made the part of t/basic.t that needs Unicode::Map optional to run only if that module is installed. Which other tests fail for you? Gabor -- Gabor Szabo http://www.szabgab.com/ Perl Training in Israel http://www.pti.co.il/
Download (untitled) / with headers
text/plain 2.9k
Here are all the failing tests: t/basic.....ok 1/8 t/basic.....NOK 4/8# Failed test 'use Spreadsheet::ParseExcel::FmtJapan;' # in t/basic.t at line 10. # Tried to use 'Spreadsheet::ParseExcel::FmtJapan'. # Error: Can't locate Jcode.pm in @INC (@INC contains: C:\SOURCE\perl\Spreadshee t-ParseExcel-0.28\blib\lib C:\SOURCE\perl\Spreadsheet-ParseExcel-0.28\blib\arch C:/Pe rl/site/lib C:/Perl/lib . C:/Perl/site/lib C:/Perl/lib .) at C:\SOURCE\perl\Spreadshe et-ParseExcel-0.28\blib\lib/Spreadsheet/ParseExcel/FmtJapan.pm line 9. # BEGIN failed--compilation aborted at t/basic.t line 10. # Compilation failed in require at (eval 24) line 2. # BEGIN failed--compilation aborted at (eval 24) line 2. t/basic.....NOK 5/8# Failed test 'use Spreadsheet::ParseExcel::FmtJapan2;' # in t/basic.t at line 11. # Tried to use 'Spreadsheet::ParseExcel::FmtJapan2'. # Error: Can't locate Jcode.pm in @INC (@INC contains: C:\SOURCE\perl\Spreadshee t-ParseExcel-0.28\blib\lib C:\SOURCE\perl\Spreadsheet-ParseExcel-0.28\blib\arch C:/Pe rl/site/lib C:/Perl/lib . C:/Perl/site/lib C:/Perl/lib .) at C:\SOURCE\perl\Spreadshe et-ParseExcel-0.28\blib\lib/Spreadsheet/ParseExcel/FmtJapan2.pm line 9. # BEGIN failed--compilation aborted at t/basic.t line 11. # Compilation failed in require at (eval 25) line 2. # BEGIN failed--compilation aborted at (eval 25) line 2. t/basic.....NOK 6/8# Failed test 'use Spreadsheet::ParseExcel::FmtUnicode;' # in t/basic.t at line 12. # Tried to use 'Spreadsheet::ParseExcel::FmtUnicode'. # Error: Can't locate Unicode/Map.pm in @INC (@INC contains: C:\SOURCE\perl\Spre adsheet-ParseExcel-0.28\blib\lib C:\SOURCE\perl\Spreadsheet-ParseExcel-0.28\blib\arch C:/Perl/site/lib C:/Perl/lib . C:/Perl/site/lib C:/Perl/lib .) at C:\SOURCE\perl\Spr eadsheet-ParseExcel-0.28\blib\lib/Spreadsheet/ParseExcel/FmtUnicode.pm line 10. # BEGIN failed--compilation aborted at t/basic.t line 12. # Compilation failed in require at (eval 26) line 2. # BEGIN failed--compilation aborted at (eval 26) line 2. # Looks like you failed 3 tests of 8. t/basic.....dubious Test returned status 3 (wstat 768, 0x300) DIED. FAILED tests 4-6 Failed 3/8 tests, 62.50% okay t/parse.....Math::BigInt::FastCalc is missing method '_from_oct' at C:/Perl/site/lib/ OLE/Storage_Lite.pm line 13 Cannot load outdated Math::BigInt::FastCalc v0.10, please upgrade at C:/Perl/site/lib /OLE/Storage_Lite.pm line 13 t/parse.....ok t/pod.......ok t/sample....# Skipping 0 test as they need Jcode to be installed skipped all skipped: Tests moved to individual files in t/examples/ Failed Test Stat Wstat Total Fail List of Failed ------------------------------------------------------------------------------- t/basic.t 3 768 8 3 4-6 1 test skipped. Failed 1/4 test scripts. 3/73 subtests failed. Files=4, Tests=73, 2 wallclock secs ( 0.00 cusr + 0.00 csys = 0.00 CPU) Failed 1/4 test programs. 3/73 subtests failed. NMAKE : fatal error U1077: 'C:\WINDOWS\system32\cmd.exe' : return code '0xff' Stop.
Download (untitled) / with headers
text/plain 278b
On 0.32: t/basic....ok 1/8 t/basic....NOK 6/8# Failed test 'use Spreadsheet::ParseExcel::FmtJapan2;' # at t/basic.t line 17. # Tried to use 'Spreadsheet::ParseExcel::FmtJapan2'. # Error: Can't locate Unicode/Map.pm in @INC -- Alexandr Ciornii, http://chorny.net
Download (untitled) / with headers
text/plain 439b
On 2007-07-06 07:36:09, CHORNY wrote: Show quoted text
> On 0.32: > > t/basic....ok 1/8 > t/basic....NOK 6/8# Failed test 'use
Spreadsheet::ParseExcel::FmtJapan2;' Show quoted text
> # at t/basic.t line 17. > # Tried to use 'Spreadsheet::ParseExcel::FmtJapan2'. > # Error: Can't locate Unicode/Map.pm in @INC >
As the cpan testers matrix view of Spreadsheet::ParseExcel looks rather green now, I assume that all prereq issue are fixed? Regards, Slaven
Subject: RE: [rt.cpan.org #24693] PLEASE add Unicode::Map as prereq in Makefile.PL.
Date: Tue, 15 Mar 2011 22:52:17 -0400
To: <bug-Spreadsheet-ParseExcel [...] rt.cpan.org>, <MTHURN [...] cpan.org>
From: "Martin Thurn" <kingpin [...] dcswcc.org>
Yeah I suppose so 8-) - - Martin
Download (untitled) / with headers
text/plain 240b
On Mon Mar 14 07:59:54 2011, SREZIC wrote: Show quoted text
> As the cpan testers matrix view of Spreadsheet::ParseExcel looks rather > green now, I assume that all prereq issue are fixed? >
Hi, In that case I will close the issue. Thanks, John. --


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.